List Currencies
GET/v1/operations/currencies
Retrieve a list of all available and tradable currencies. Optional filter parameters can be used to refine your search.
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [id]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Currency Symbol.
Header Parameters
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
- 401
- 422
The currencies returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Currencies data.
Currency ID.
Currency title.
Currency symbol.
Possible values: [left, right]
Currency symbol align position.
Currency decimal value.
Currency tag.
Possible values: [active, deactivate]
Currency state.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": 0,
"title": "string",
"symbol": "string",
"symbol_align": "left",
"decimal": 0,
"tag": "string",
"state": "active"
}
]
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.